package io.hmit.modules.serviceOrder.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import io.hmit.common.dao.BaseDao;
import io.hmit.modules.serviceOrder.entity.PensionOrderEntity;
import org.apache.ibatis.annotations.Mapper;

/**
 * 订单表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-01-26
 */
@Mapper
public interface PensionOrderDao extends BaseDao<PensionOrderEntity> {

    IPage<PensionOrderEntity> getAllOrderPage(IPage<PensionOrderEntity> page, Long userId);

    IPage<PensionOrderEntity> getTodayOrderPage(IPage<PensionOrderEntity> page, Long userId);

    IPage<PensionOrderEntity> getTodayNoProceedOrderPage(IPage<PensionOrderEntity> page);

    IPage<PensionOrderEntity> getOrderPageByStatus(IPage<PensionOrderEntity> page, Long userId, Integer status);

    IPage<PensionOrderEntity> getNoProceedOrderPage(IPage<PensionOrderEntity> page);

    PensionOrderEntity getOrderInfoByIdAndUserId(Long orderId, Long userId);

    PensionOrderEntity getOrderInfoByIdAndStatus(Long orderId, Integer status);

}